package com.jeeplus.modules.sg.overheadline.service;

import com.jeeplus.modules.sg.overheadline.entity.JkxlDetailFee;
import com.jeeplus.modules.sg.overheadline.entity.WbsProject;
import com.jeeplus.modules.sg.overheadline.mapper.OverheadLineMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;

@Service
public class OverheadLineService {
    @Autowired
    private OverheadLineMapper overheadLineMapper;
    @Autowired
    private FeeAdjustService feeAdjustService;




   public List<JkxlDetailFee> getList(String id){
       return overheadLineMapper.getList(id);
   }

   public List<JkxlDetailFee> findList(String id){
       return overheadLineMapper.findList(id);
   }

   public JkxlDetailFee getDate(String id, String wbsCode){
       return overheadLineMapper.getData(id,wbsCode);
   }

   @Transactional
   public void save(HashMap map){
       String id = (String) map.get("id");
       List<JkxlDetailFee> list = (List<JkxlDetailFee>) map.get("list");
       double[] tzfee = (double[]) map.get("tzFee");
       WbsProject wbsProject = (WbsProject) map.get("wbsProject");
       overheadLineMapper.saveProject(wbsProject);
       for(JkxlDetailFee jkxlDetailFee :list) {
           overheadLineMapper.save(jkxlDetailFee);
       }
       feeAdjustService.saveTzFee(tzfee,id);
   }

    @Transactional
    public void updataDate(JkxlDetailFee jkxlDetailFee){
        overheadLineMapper.updateDate(jkxlDetailFee);
    }

    @Transactional
   public void saveProject(WbsProject wbsProject){
       overheadLineMapper.saveProject(wbsProject);
   }

}
